Loading...
Searching...
No Matches
Generic Line in Three-Dimensional Space.
Foundation Classes » Mathematics » Geometric objects

## Storers

typedef TLine3< float > | BALL::Line3
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TLine3< T > &line)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TLine3< T > &line)

## Detailed Description

## Typedef Documentation

## Line3

typedef TLine3<float> BALL::Line3

Default line of type float.

Definition at line 359 of file line3.h.

## Function Documentation

## operator<<()

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TLine3< T > & | line )

Output operator. Writes the two public attributes d and p to an output stream. The values of the two vectors are enclosed in brackets.

  Example:

  ((0 0 0) (1 2 1))

See also
  TVector3::operator<<

Definition at line 382 of file line3.h.

## operator>>()

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TLine3< T > & | line )

Input operator. Reads two objcts of type TVector3 from an istream and assigns them to d and p.

Definition at line 366 of file line3.h.